summaryrefslogtreecommitdiffstats
path: root/development/anjuta/anjuta.SlackBuild
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2013-05-19 15:11:53 +0200
committer dsomero2013-05-19 15:11:53 +0200
commit282a3803067cda668423df6b34d2e5721540138a (patch)
tree6cb97cc99090dd4ccd6dbd701ca0368bb9f0bbbf /development/anjuta/anjuta.SlackBuild
parent7a401d08e468c515cc3947fe1b00824e6dd69321 (diff)
downloadslackbuilds-282a3803067cda668423df6b34d2e5721540138a.tar.gz
development/anjuta: Updated for version 3.8.1.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'development/anjuta/anjuta.SlackBuild')
-rw-r--r--development/anjuta/anjuta.SlackBuild13
1 files changed, 6 insertions, 7 deletions
diff --git a/development/anjuta/anjuta.SlackBuild b/development/anjuta/anjuta.SlackBuild
index 0baa7cc1a2..8cd6ee4000 100644
--- a/development/anjuta/anjuta.SlackBuild
+++ b/development/anjuta/anjuta.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for anjuta
-# Copyright 2012 Willy Sudiarto Raharjo <willysr@slackware-id.org>
+# Copyright 2012-2013 Willy Sudiarto Raharjo <willysr@slackware-id.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,11 +23,10 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=anjuta
-VERSION=${VERSION:-3.6.2}
+VERSION=${VERSION:-3.8.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
@@ -37,9 +36,9 @@ if [ -z "$ARCH" ]; then
fi
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -55,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -82,7 +81,7 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true